Summary:        A hybrid between a 'make' utility and a 'shell script' language
Name:		icmake
Version:	7.21.00
Release:	%mkrel 5
License:	GPLv3
Group:		Development/Tools
URL:		http://icmake.sourceforge.net/
Source:		http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}_%{version}.orig.tar.gz

%description
Icmake is a hybrid between a 'make' utility and a 'shell script' language. 
Originally, it was written to provide a useful tool for automatic program 
maintenance and system administrative tasks on old MS-DOS platforms.

%package	doc
Group:		Documentation
Summary:	Documentation for icmake

%description	doc
This package contains the documentation for icmake.

%prep
%setup -q

# set the correct LIBDIR path
sed -i -e "s:usr/lib:usr/%{_lib}:g" INSTALL.im

# fix executable perms in examples
pushd examples
for i in am backup bup defines ds ftpxfer idir \
	initialization keep killprog nesteddirectives r tolower
do
	chmod -x $i
done
popd

%build
./icm_bootstrap /

%install
./icm_install strip progs %{buildroot}
./icm_install scripts %{buildroot}
./icm_install skel %{buildroot}
./icm_install man %{buildroot}
./icm_install doc %{buildroot}
./icm_install docdoc %{buildroot}
./icm_install etc %{buildroot}

%files
%doc changelog LICENSE
%{_bindir}/ic*
%{_libdir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_datadir}/%{name}
%{_mandir}/man*/*
%{_docdir}/%{name}

%files doc
%{_docdir}/%{name}-doc


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 7.21.00-5.mga5
+ Revision: 745617
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 7.21.00-4.mga5
+ Revision: 725087
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 7.21.00-3.mga5
+ Revision: 680449
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 7.21.00-2.mga4
+ Revision: 531541
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 7.21.00-1.mga4
+ Revision: 463852
- New version: 7.21.00

* Sat Jan 12 2013 umeabot <umeabot> 7.16.00-3.mga3
+ Revision: 354195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 7.16.00-2.mga3
+ Revision: 310402
- spec clean-up
- update RPM group

* Sun Jul 10 2011 ahmad <ahmad> 7.16.00-1.mga2
+ Revision: 121717
- Update to 7.16.00

* Mon Mar 07 2011 ahmad <ahmad> 7.15.00-1.mga1
+ Revision: 66031
- update to 7.15.00
- imported package icmake


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 7.12.5-2mdv2011.0
+ Revision: 611171
- rebuild

* Sat Dec 26 2009 Jérôme Brenier <incubusss@mandriva.org> 7.12.5-1mdv2010.1
+ Revision: 482330
- new version 7.12.5

* Sat Nov 21 2009 Jérôme Brenier <incubusss@mandriva.org> 7.12.3-1mdv2010.1
+ Revision: 467773
- import icmake

